base_url = "https://blog.ungol.fr"
compile_sass = true
build_search_index = true
default_language = 'fr'
title = "Ungol"

[markdown]
highlight_code = true
highlight_theme = "css"
highlight_themes_css = [
  { theme = "Catppuccin-macchiato", filename = "syntax-theme-dark.css" },
  { theme = "Catppuccin-latte", filename = "syntax-theme-light.css" },
]
extra_syntaxes_and_themes = ["highlight_themes"]
bottom_footnotes = true
insert_anchor_links = "right"
render_emoji = true

[slugify]
paths = "safe"
anchor = "safe"

[extra]
remote_repository_url = "https://forge.kworld.fr/Ungol/blog"
remote_repository_branch = "main"
remote_repository_git_platform = "gitlab"